> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get ticker

GET https://www.okx.com/api/v5/market/ticker

Retrieve the latest price snapshot, best bid/ask price, and trading volume in the last 24 hours. Best ask price may be lower than the best bid price during the pre-open period.

Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-ticker

## Request

### Query parameters

- `instId` (string, required) — Instrument ID, e.g. `BTC-USD-SWAP`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5MarketTickerGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5MarketTickerGetResponsesContentApplicationJsonSchemaDataItems

- `instType` (string, optional) — Instrument type
- `instId` (string, optional) — Instrument ID
- `last` (string, optional) — Last traded price
- `lastSz` (string, optional) — Last traded size. 0 represents there is no trading volume
- `askPx` (string, optional) — Best ask price
- `askSz` (string, optional) — Best ask size
- `bidPx` (string, optional) — Best bid price
- `bidSz` (string, optional) — Best bid size
- `open24h` (string, optional) — Open price in the past 24 hours
- `high24h` (string, optional) — Highest price in the past 24 hours
- `low24h` (string, optional) — Lowest price in the past 24 hours
- `volCcy24h` (string, optional) — 24h trading volume, with a unit of `currency`. If it is a `derivatives` contract, the value is the number of base currency. If it is `SPOT`/`MARGIN`, the value is the quantity in quote currency.
- `vol24h` (string, optional) — 24h trading volume, with a unit of `contract`. If it is a `derivatives` contract, the value is the number of contracts. If it is `SPOT`/`MARGIN`, the value is the quantity in base currency.
- `sodUtc0` (string, optional) — Open price in the UTC 0
- `sodUtc8` (string, optional) — Open price in the UTC 8
- `ts` (string, optional) — Ticker data generation time, Unix timestamp format in milliseconds, e.g. `1597026383085`.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "instType": "SWAP",
      "instId": "BTC-USD-SWAP",
      "last": "9999.99",
      "lastSz": "0.1",
      "askPx": "9999.99",
      "askSz": "11",
      "bidPx": "8888.88",
      "bidSz": "5",
      "open24h": "9000",
      "high24h": "10000",
      "low24h": "8888.88",
      "volCcy24h": "2222",
      "vol24h": "2222",
      "sodUtc0": "2222",
      "sodUtc8": "2222",
      "ts": "1597026383085"
    }
  ]
}
```

**SDK Code**

```python market_getTicker_example
import requests

url = "https://www.okx.com/api/v5/market/ticker"

querystring = {"instId":"BTC-USDT"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript market_getTicker_example
const url = 'https://www.okx.com/api/v5/market/ticker?instId=BTC-USDT';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go market_getTicker_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/market/ticker?instId=BTC-USDT"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby market_getTicker_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/market/ticker?instId=BTC-USDT")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java market_getTicker_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/market/ticker?instId=BTC-USDT")
  .asString();
```

```php market_getTicker_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/market/ticker?instId=BTC-USDT');

echo $response->getBody();
```

```csharp market_getTicker_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/market/ticker?instId=BTC-USDT");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift market_getTicker_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/market/ticker?instId=BTC-USDT")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```